# class hk_data

Base class for all kind of queries. More...

Internal Use Only
Definition | `#include <hk_classes/hk_classes/hk_data.h>`
Inherits | hk_class [public ]
Inherited by | hk_actionquery, hk_datasource
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum enum_datasourcetypes {ds_table,ds_query,ds_actionquery,ds_unknown}

#### Public Methods

- virtual hk_string name (void)
- virtual void set_name (const hk_string& n)
- virtual enum_datasourcetypes type (void)
- hk_string identifierdelimiter (void) const
- hk_string textdelimiter (void) const

#### Public Static Methods

- static bool print_sqlstatements (void)
- static void set_print_sqlstatements (bool p)

#### Protected Methods

- hk_data ()
- virtual ~hk_data ()
- virtual void before_source_vanishes (void)
- virtual void before_connection_disconnects (void)
- virtual void filelist_changes (filetype t)
- virtual bool driver_specific_name (const hk_string& n)

#### Protected Members

- hk_string p_name
- hk_string p_sqltextdelimiter
- hk_string p_identifierdelimiter
- static bool p_print_sqlstatements

## Detailed Description

for internal use only. Base class for queries of all type

hk_string name (void)

### name

[virtual]

name of the Datasource. If the datasource is of type "Table","Query", this name will be used to create automatically a SQL-statement : "SELECT * FROM <name>"

void set_name (const hk_string& n)

### set_name

[virtual]

enum enum_datasourcetypes {ds_table,ds_query,ds_actionquery,ds_unknown}

### enum_datasourcetypes

Datasources can be of different types (i.e. table). You never should get in contact with ds_unkown (which would be understood as a bug)

enum_datasourcetypes type (void)

### type

[virtual]

hk_string identifierdelimiter (void)

### identifierdelimiter

[const]

hk_string textdelimiter (void)

### textdelimiter

[const]

bool print_sqlstatements (void)

### print_sqlstatements

[static]

void set_print_sqlstatements (bool p)

### set_print_sqlstatements

[static]

hk_data ()

### hk_data

[protected]

~hk_data ()

### ~hk_data

[protected virtual]

void before_source_vanishes (void)

### before_source_vanishes

[protected virtual]

void before_connection_disconnects (void)

### before_connection_disconnects

[protected virtual]

void filelist_changes (filetype t)

### filelist_changes

[protected virtual]

bool driver_specific_name (const hk_string& n)

### driver_specific_name

[protected virtual]

hk_string p_name

### p_name

[protected]

hk_string p_sqltextdelimiter

### p_sqltextdelimiter

[protected]

hk_string p_identifierdelimiter

### p_identifierdelimiter

[protected]

static bool p_print_sqlstatements

### p_print_sqlstatements

[protected]

- Version: $Revision: 1.16 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.